-----------------------------------------------------------------------------
--  _   _ _____ ____       ____   ___   __     __    _       _
-- | | | | ____/ ___|     / ___| / _ \  \ \   / /_ _| | __ _(_)___
-- | |_| |  _| \___ \ ____\___ \| | | |  \ \ / / _` | |/ _` | / __|
-- |  _  | |___ ___) |_____|__) | |_| |   \ V / (_| | | (_| | \__ \
-- |_| |_|_____|____/     |____/ \___/     \_/ \__,_|_|\__,_|_|___/
--
-----------------------------------------------------------------------------
-- Author(s) : Marc Pignat
-----------------------------------------------------------------------------

library	ieee;
	use	ieee.std_logic_1164.all;

entity top is
	port
	(
		reset				: in	std_logic;

		clock_input			: in	std_logic;
		data_input			: in	std_logic_vector(19 downto 0);

		clock_output		: out	std_logic;
		data_output			: out	std_logic_vector(19 downto 0)
	);
end	top;

architecture struct	of top is
begin

	i_pass : entity work.pass_through(xilinx_s6)
	generic map
	(
		g_pipe_stages	=> 5,
		g_data_width	=> data_input'left + 1
	)
	port map
	(
		reset			=> reset,

		clock_input		=> clock_input,
		data_input		=> data_input,

		clock_output	=> clock_output	,
		data_output		=> data_output
	);

end	architecture struct;

